Dedecms 模板中心

您现在的位置: 首页 > 教程文档 > 安装使用 >

织梦dedecms网站搭建空间配置要求

来源:未知 发布时间:2017-11-02热度:
在我们好织梦上面下载的模板都是带有源码的 直接安装就可以使用了 下载我分享下咱们织梦源码对空间环境要求: 一、平台需求 1.Windows 平台: IIS/ Apache /Nginx + PHP 4/PHP5.2+/PHP5.3+ + MySQL4/5 如果在windows环境中使用,建议用DedeCMS提供的DedeAMPZ...

在我们好织梦上面下载的模板都是带有源码的 直接安装就可以使用了 下载我分享下咱们织梦源码对空间环境要求:

一、平台需求

1.Windows 平台:

IIS/Apache/Nginx + PHP4/PHP5.2+/PHP5.3+ + MySQL4/5

如果在windows环境中使用,建议用DedeCMS提供的DedeAMPZ套件以达到最佳使用性能。

2.Linux/Unix 平台

Apache + PHP4/PHP5 + MySQL3/4/5 (PHP必须在非安全模式下运行)

建议使用平台:Linux + Apache2.2 + PHP5.2/PHP5.3 + MySQL5.0

//上面2点里,加粗加绿色的字体是我们要看的,至于windows、linux、unix,和apache、iis、nginx,虚拟主机用户没权限去管这些,主机商不可能为你一个用户去重做更改服务器的操作系统、服务器环境。

3.PHP必须环境或启用的系统函数: //这一点可以飘过,一般情况下虚拟主机空间默认都是支持以下函数的,服务器或VPS可以自行开启。

allow_url_fopen

GD扩展库

MySQL扩展库

系统函数 —— phpinfo、dir

也许看可上面的条件很多站长都不知道怎么办!

1、如果您是虚拟主机用户,那根本不用去考虑是windows主机,还是linux主机,也不用去考虑安装DedeAMPZ,这些服务器环境配置的问题,主机商会为你配置。虚拟主机的你和其他很多站长共用一台主机,可想而知你和其他站长都没有对服务器环境配置操作的权限。只要你购买的虚拟主机适合php+mysql架构的程序(dedecms、dz、phpwind等),就基本没什么问题了

2、数据库access、sql2005,不要贪便宜买这些,这些都是不支持dedecms程序的。购买空间之前,一定要问清楚是否支持dedecms程序,是否赠送mysql数据库。有些朋友在购买空间的时候,看到空间支持php程序就冲动付款,买了之后才知道不支持mysql数据库,最后还是不能安装dedecms。

3、(阿里云等)服务器或者vps用户,服务器商一般会为我们配置好适合php+mysql程序的环境,所以也不需要我们去配置服务器环境,只要上传DedeCMS程序安装即可。

    责任编辑:好织梦